create_resistor#

MaxwellCircuitComponents.create_resistor(name=None, value=50, location=None, angle=0, use_instance_id_netlist=False)[source]#

Create a resistor.

Parameters:
namestr, optional

Name of the resistor. The default is None.

valuefloat, optional

Value for the resistor. The default is 50.

locationlist of float, optional

Position on the X axis and Y axis. The default is None.

anglefloat, optional

Angle of rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list or not. The default is False.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent